This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 171915 - Review Request: texmaker - LaTeX editor
Review Request: texmaker - LaTeX editor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://www.xm1math.net/texmaker/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-27 15:58 EDT by Deji Akingunola
Modified: 2011-10-21 10:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-28 13:48:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Deji Akingunola 2005-10-27 15:58:10 EDT
Spec Name or Url: ftp://czar.eas.yorku.ca/pub/texmaker/texmaker.spec
SRPM Name or Url: ftp://czar.eas.yorku.ca/pub/texmaker/texmaker-1.12-1.src.rpm
Description: 
Texmaker is a program, that integrates many tools needed to develop documents with LaTeX, in just one application. 
Texmaker runs on unix, macosx and windows systems and is released under the GPL license.
Comment 1 Aurelien Bompard 2005-10-27 17:13:19 EDT
Needs work:
* BuildRequires: desktop-file-utils is missing
* BuildRequires: gcc-c++ should not be included
  (wiki: PackagingGuidelines#Exceptions)
* Make sure no line in %description is more than 80 chars long
* latexhelp.html and usermanual.html packaged twice, remove them from %doc
* Desktop file: the Categories tag should contain Application
  (wiki: PackagingGuidelines#desktop)
* Scriptlets: missing update-desktop-database
  (wiki: ScriptletSnippets)
* Scriptlets: missing "gtk-update-icon-cache" in %post and %postun 
  (wiki: ScriptletSnippets)
* Requires: desktop-file-utils is useless
* The manual install of the binary is not necessary (it is copied during "make
  install")
* Don't copy the icon to _datadir/pixmaps, it's useless (the menu icon will be
  found in _datadir/icons/hicolor)
* Don't delete original desktop files, it comes from your source dir
* Don't package the INSTALL file, it's useless since we're using RPM
* %dir %{_datadir}/texmaker and %{_datadir}/texmaker/* can be combined into
  %{_datadir}/texmaker/
* TerminalOptions in desktop file is depreciated, please remove it in your patch
Comment 2 Deji Akingunola 2005-10-27 18:50:00 EDT
Thanks for the review.
Updated spec and srpm files are here;
ftp://czar.eas.yorku.ca/pub/texmaker/texmaker.spec
ftp://czar.eas.yorku.ca/pub/texmaker/texmaker-1.12-2.src.rpm
Comment 3 Aurelien Bompard 2005-10-28 03:13:24 EDT
* In texmaker-desktop.patch:
  - end the Categories line with a ";"
  - Name[fr] should be "Texmaker Editeur LaTeX" (as above)
  - StartupNotify should be set to true
* BuildRequires: qt-devel is enough, no need for the whole kdelibs-devel
Comment 4 Deji Akingunola 2005-10-28 10:52:12 EDT
Fix all issues raised in comment #3, new spec and srpm files at;
ftp://czar.eas.yorku.ca/pub/texmaker/texmaker.spec
ftp://czar.eas.yorku.ca/pub/texmaker/texmaker-1.12-3.src.rpm
Comment 5 Rex Dieter 2005-10-28 10:56:32 EDT
Tiny suggestion:

whenever using the 'install' command, when possible, use the '-p' option to
preserve file time-stamps.
Comment 6 Deji Akingunola 2005-10-28 11:12:46 EDT
(In reply to comment #5)
> Tiny suggestion:
> 
> whenever using the 'install' command, when possible, use the '-p' option to
> preserve file time-stamps.

suggestion taken, thanks.
Comment 7 Aurelien Bompard 2005-10-28 11:13:48 EDT
Review for release 3:
* RPM name is OK
* Source texmaker-1.12.tar.bz2 is the same as upstream
* Builds fine in mock
* rpmlint of texmaker looks OK
* File list of texmaker looks OK
* Works fine
APPROVED

Before or after import, please add -p to your install calls, as pointed by Rex.
Comment 8 Deji Akingunola 2005-10-28 13:48:04 EDT
(In reply to comment #7)

> APPROVED

Thanks.
> 
> Before or after import, please add -p to your install calls, as pointed by Rex.

Done.

Imported into cvs and succesfully built. Closing
Comment 9 Michael Schwendt 2006-05-31 08:19:45 EDT
Why did you make it "noarch" after the review process and ignoring
that this package is C++ code which is compiled against Qt4?

You now have released a PPC binary for i386:

$ file texmaker
texmaker: ELF 32-bit MSB executable, PowerPC or cisco 4500, version 1 (SYSV),
for GNU/Linux 2.6.9, dynamically linked (uses shared libs), for GNU/Linux 2.6.9,
stripped

$ ldd texmaker
        linux-gate.so.1 =>  (0x0073e000)
        libqt-mt.so.3 => /usr/lib/qt-3.3/lib/libqt-mt.so.3 (0x0551b000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0x009f5000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0x008f1000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x0042c000)
        libm.so.6 => /lib/libm.so.6 (0x00891000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00db6000)
        libc.so.6 => /lib/libc.so.6 (0x0075c000)
        libmng.so.1 => /usr/lib/libmng.so.1 (0x033fa000)
        libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0x0302c000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0x00b6f000)
        libz.so.1 => /usr/lib/libz.so.1 (0x008be000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0x00b99000)
        libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x00bee000)
        libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x00bfb000)
        libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x00be9000)
        libXft.so.2 => /usr/lib/libXft.so.2 (0x0352e000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00abe000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00baa000)
        libSM.so.6 => /usr/lib/libSM.so.6 (0x00dc4000)
        libICE.so.6 => /usr/lib/libICE.so.6 (0x00dcf000)
        libdl.so.2 => /lib/libdl.so.2 (0x008b8000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x008db000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0x009f0000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x008d3000)
        /lib/ld-linux.so.2 (0x0073f000)
        liblcms.so.1 => /usr/lib/liblcms.so.1 (0x031c6000)
        libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x00bf4000)
        libexpat.so.0 => /lib/libexpat.so.0 (0x00a9b000)
Comment 10 Deji Akingunola 2006-05-31 09:30:10 EDT
(In reply to comment #9)
> Why did you make it "noarch" after the review process and ignoring
> that this package is C++ code which is compiled against Qt4?
 Long story, I should be sleeping when i made that decision, I'll revert it son-ish.
Sorry for the dumb mistake.
Deji
Comment 11 Ville Skyttรค 2006-05-31 13:47:20 EDT
See bug 193601
Comment 12 Deji Akingunola 2011-10-21 10:05:41 EDT
Package Change Request
======================
Package Name: texmaker
New Branches: el6
Owners: deji
InitialCC:
Comment 13 Gwyn Ciesla 2011-10-21 10:41:35 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.